Bug 948626 - Review Request: python-flask-mako - Mako templating support for Flask applications
Summary: Review Request: python-flask-mako - Mako templating support for Flask applica...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-04 21:05 UTC by Ralph Bean
Modified: 2014-11-12 22:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-03 08:46:30 UTC
puiterwijk: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2013-04-04 21:05:46 UTC
Spec URL: http://ralph.fedorapeople.org//python-flask-mako.spec
SRPM URL: http://ralph.fedorapeople.org//python-flask-mako-0.2-1.fc18.src.rpm

Description:
This extension for the Flask micro web framework allows developers
to use Mako Templates instead of the default Jinja2 templating engine.

Comment 1 Ralph Bean 2013-04-04 21:05:50 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5213745

Comment 2 Patrick Uiterwijk 2013-04-10 04:57:43 UTC
I'll review this one

Comment 3 Patrick Uiterwijk 2013-04-10 05:19:20 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License BSD
OK - License field in spec matches
NO - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
9d30e7826e13c31793bbad333b7434ce  Flask-Mako-0.2.tar.gz
9d30e7826e13c31793bbad333b7434ce  Flask-Mako-0.2.tar.gz

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. rpmlint says: 
Checking: python-flask-mako-0.2-1.fc18.noarch.rpm
python-flask-mako.noarch: W: spelling-error Summary(en_US) templating -> contemplating, template, tempting
python-flask-mako.noarch: W: summary-ended-with-dot C Mako templating support for Flask applications.
python-flask-mako.noarch: W: spelling-error %description -l en_US templating -> contemplating, template, tempting
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

You can ignore those, if you use the spec file on your website rather than the one in the SRPM, as that one fixes the summary-ended-with-dot.


This is APPROVED.

Comment 4 Ralph Bean 2013-04-10 13:46:39 UTC
New Package SCM Request
=======================
Package Name: python-flask-mako
Short Description: Mako templating support for Flask applications
Owners: ralph
Branches: f19 f18 f17 el6
InitialCC:

Comment 5 Gwyn Ciesla 2013-04-10 13:50:07 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-04-10 14:53:51 UTC
python-flask-mako-0.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-flask-mako-0.2-1.fc19

Comment 7 Fedora Update System 2013-04-10 14:54:12 UTC
python-flask-mako-0.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-flask-mako-0.2-1.fc18

Comment 8 Fedora Update System 2013-04-10 14:54:35 UTC
python-flask-mako-0.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-flask-mako-0.2-1.fc17

Comment 9 Fedora Update System 2013-04-10 14:54:56 UTC
python-flask-mako-0.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-flask-mako-0.2-1.el6

Comment 10 Fedora Update System 2013-04-29 17:54:02 UTC
python-flask-mako-0.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Fedora Update System 2013-04-30 03:24:45 UTC
python-flask-mako-0.2-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 12 Fedora Update System 2013-04-30 03:32:43 UTC
python-flask-mako-0.2-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 13 Fedora Update System 2013-04-30 04:35:37 UTC
python-flask-mako-0.2-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 14 Ralph Bean 2014-11-12 20:27:20 UTC
Package Change Request
======================
Package Name: python-flask-mako
New Branches: epel7
Owners: ralph
InitialCC:

Comment 15 Gwyn Ciesla 2014-11-12 22:09:54 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.